summaryrefslogtreecommitdiffstats
path: root/source/ap/soma
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/soma')
-rw-r--r--source/ap/soma/slack-desc19
-rwxr-xr-xsource/ap/soma/soma.SlackBuild67
-rw-r--r--source/ap/soma/soma.info10
-rw-r--r--source/ap/soma/soma.pngbin0 -> 229691 bytes
-rw-r--r--source/ap/soma/stations.conf38
5 files changed, 134 insertions, 0 deletions
diff --git a/source/ap/soma/slack-desc b/source/ap/soma/slack-desc
new file mode 100644
index 000000000..bc1725a6c
--- /dev/null
+++ b/source/ap/soma/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+soma: Soma - a command line/dialog internet radio player
+soma:
+soma: Soma is a frontend for mplayer to play radio playlists pls,m3u and
+soma: ram. More will be added as it progresses.
+soma:
+soma: Homepage: http://www.dawoodfall.net/slackbuilds/noversion/soma
+soma:
+soma:
+soma:
+soma:
+soma:
diff --git a/source/ap/soma/soma.SlackBuild b/source/ap/soma/soma.SlackBuild
new file mode 100755
index 000000000..c7cc38ae6
--- /dev/null
+++ b/source/ap/soma/soma.SlackBuild
@@ -0,0 +1,67 @@
+#!/bin/sh
+
+# Slackware build script for soma
+# Copyright 2010-2011 David Woodfall <dave@dawoodfall.net>
+# Copyright 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=soma
+VERSION=${VERSION:-2.8.5}
+ARCH=noarch
+BUILD=${BUILD:-1}
+TAG=${TAG:-}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.gz
+cd $PKGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/bin $PKG/etc/soma $PKG/install $PKG/usr/doc/$PKGNAM-$VERSION
+
+install -m 755 soma $PKG/usr/bin/soma
+install --m 644 options.conf $PKG/etc/soma
+install --m 644 stations.conf $PKG/etc/soma
+install --m 644 dialogrc $PKG/etc/soma
+
+cp -a \
+ README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+#cat $CWD/$PKGNAM.SlackBuild > $PKG/usr/doc/$PKGNAM-$VERSION/$PKGNAM.SlackBuild
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PKGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-txz}
+
diff --git a/source/ap/soma/soma.info b/source/ap/soma/soma.info
new file mode 100644
index 000000000..0255d3d6e
--- /dev/null
+++ b/source/ap/soma/soma.info
@@ -0,0 +1,10 @@
+PRGNAM="soma"
+VERSION="2.8.5"
+HOMEPAGE="http://www.dawoodfall.net/files/slackbuilds/noversion/soma/"
+DOWNLOAD="http://www.dawoodfall.net/files/slackbuilds/noversion/soma/soma-2.8.5.tar.gz"
+MD5SUM="193112a1dc8de8781b83d3a1bceedee6"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
+APPROVED=""
diff --git a/source/ap/soma/soma.png b/source/ap/soma/soma.png
new file mode 100644
index 000000000..1e545a938
--- /dev/null
+++ b/source/ap/soma/soma.png
Binary files differ
diff --git a/source/ap/soma/stations.conf b/source/ap/soma/stations.conf
new file mode 100644
index 000000000..4a2c43083
--- /dev/null
+++ b/source/ap/soma/stations.conf
@@ -0,0 +1,38 @@
+Groove Salad,http://somafm.com/groovesalad130.pls
+Lush,http://somafm.com/lush.pls
+Suburbs of Goa,http://somafm.com/suburbsofgoa.pls
+Drone Zone,http://somafm.com/dronezone.pls
+Indie Pop Rocks,http://somafm.com/indiepop.pls
+Digitalis,http://somafm.com/digitalis.pls
+PopTron,http://somafm.com/poptron.pls
+Covers,http://somafm.com/covers.pls
+Secret Agent,http://somafm.com/secretagent.pls
+Boot Liquor,http://somafm.com/bootliquor.pls
+Illinois Street Lounge,http://somafm.com/illstreet.pls
+Cliqhop IDM,http://somafm.com/cliqhop.pls
+Sonic Universe,http://somafm.com/sonicuniverse.pls
+Beat Blender,http://somafm.com/beatblender.pls
+Tag's Trip,http://somafm.com/tags.pls
+Space Station Soma,http://somafm.com/spacestation.pls
+Mission Control,http://somafm.com/missioncontrol.pls
+Doomed,http://somafm.com/doomed.pls
+BBC Radio 1,http://www.bbc.co.uk/radio/listen/live/r1.asx
+BBC Radio 2,http://www.bbc.co.uk/radio/listen/live/r2.asx
+BBC Radio 3,http://www.bbc.co.uk/radio/listen/live/r3.asx
+BBC Radio 4,http://www.bbc.co.uk/radio/listen/live/r4.asx
+BBC Radio 7,http://www.bbc.co.uk/radio/listen/live/r7.asx
+BBC World Service,http://www.bbc.co.uk/worldservice/meta/tx/nb/live/eneuk.asx
+BBC WS News,http://www.bbc.co.uk/worldservice/meta/tx/nb/live/ennws.asx
+Classic FM,http://mediaweb.musicradio.com/V1/Playlist.asx?StreamID=2
+InterGalacticFM1,http://radio.intergalacticfm.com/1.m3u
+InterGalacticFM2,http://radio.intergalacticfm.com/2.m3u
+InterGalacticFM3,http://radio.intergalacticfm.com/3.m3u
+InterGalacticFM4,http://radio.intergalacticfm.com/4.m3u
+DarkWave Gothic,http://yp.shoutcast.com/sbin/tunein-station.pls?id=392221
+Meridian FM,http://www.meridianfm.com/listen2meridianfm.m3uj
+kpfa,http://www.kpfa.org/streams/kpfa_64k.m3u
+wcbn,http://floyd.wcbn.org/wcbn-hi.m3u
+Pyrolitical,http://broadcast.pyrolitical.com:8000/Pyrolitical_Radio.m3u
+Dissident,http://radio.indybay.org:8000/dissidentisland.m3u
+GFMONLINE,http://www.gfmradio.com/GFMONLINE.wvx
+Celtic Music Radio,http://www.celticmusicradio.net/celtic_live.m3u